1. v1
Tourwell Open APIs
  • Tổng quan
  • Hướng dẫn xác thực
  • API Zalo Mini App (Beta)
  • API Changelog
  • Error Response
  • Khách hàng
    • v1
      • Get by id
      • Get all customer
      • Create customer
      • Update customer
      • Get order history
      • Get destinations
      • Get guests
      • Get by id care history
      • Create company
      • Get all care history
  • Đơn hàng
    • v1
      • Get by id
      • Get all order
      • Get Passengers Order
      • Create order tour
      • Create order product
      • Create order hotel
      • Create order flight
      • Confirm payment order
      • Cancel order
      • Import Order Flight
      • Create cost order
      • Update cost order
      • Delete cost order
  • Điều hành
    • v1
      • Overview
      • Create row cost
      • Update row cost
      • Delete row cost
  • Sản phẩm
    • v1
      • Create product
      • Get by id
      • Calendar pricing
      • Get all product
      • Get schedule by id
      • Update product
  • Chiết tinh giá
    • v1
  • Nhà cung cấp
    • v1
      • Get all suppliers
      • Get suppliers products
      • Get all tour guides
      • Create Supplier & Hotel
      • Create Prices Suppliers products
      • Append Prices Hotel
  • Lịch khởi hành
    • v1
      • Get all tour
      • Create tour
  • Lead (Cơ hội)
    • Overview
    • Update History
    • v1
      • Get all lead
        GET
      • Get by id
        GET
      • Create lead
        POST
      • Update lead
        PUT
  • Báo giá
    • v1
      • Get all
      • Update schedules
      • Update policy
  • Khách sạn
    • v1
      • Get all hotel
      • Get by id
  • Kế toán
    • Phiếu thu
      • v1
        • Get all receipt
        • Create receipt
        • Update receipt
        • Confirm Receipt Success
    • Phiếu chi
      • v1
        • Get all payment
        • Confirm Payment
    • Hóa đơn bán ra
      • Update invoice
      • Issue Invoice
      • Get by id
      • Cancel invoice
    • Hóa đơn mua vào
      • Import
  • Phê duyệt
    • v1
      • Overview
      • Summary
      • Approvals
  • Cấu hình
    • Zalo ZNS
      • Danh sách Tag
      • Get token
    • Địa điểm
      • Search
    • Nhân sự nội bộ
      • Search
    • Webhook
      • Hướng dẫn cài đặt
    • Trạng thái khách hàng
      • Get All
    • Hạng thành viên
      • Get All
    • Loại dịch vụ
    • Mã sân bay
      • Get All Airport
    • Phương thức thanh toán
      • Get All
    • Nguồn bán hàng
      • Get All
    • Phễu chuyển đổi lead
      • Trạng thái lead
      • Trạng thái báo giá
  • Hướng dẫn tích hợp
    • Hướng dẫn tích hợp thanh toán trực tuyến qua Website và Tourwell
    • Hướng dẫn tích hợp thanh toán trực tuyến qua Website, Cổng thanh toán và Tourwell
  1. v1

Get all lead

GET
/api/v1/leads
API: Danh sách lead (cơ hội)
Trả về danh sách lead (cơ hội) với phân trang, lọc, sắp xếp và tìm kiếm.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://demo.tourwell.net/api/v1/leads?code=LUP2115&created_at=21%2F08%2F2025%20-%2022%2F08%2F2025&updated_at=21%2F08%2F2025%20-%2022%2F08%2F2025' \
--header 'Authorization: Bearer <token>'

Responses

🟢200
application/json
Bodyapplication/json

Example
{
    "data": [
        {
            "id": 2115,
            "code": "LUP2115",
            "link_erp": "http://tour.upwell.test/admin/lead/2115/show",
            "service": "Tour Hà Giang - 2 Gói",
            "note": null,
            "customer": {
                "id": 2155,
                "code": "KH2155",
                "name": "(Chị) Thân Thị Cẩm Lệ",
                "link_erp": "http://tour.upwell.test/admin/customer/2155/show",
                "omi_id": ""
            },
            "creator": {
                "id": 1,
                "name": "Admin"
            },
            "sales_person": {
                "id": 1,
                "name": "Admin"
            },
            "source": {
                "id": 1,
                "name": "Nguồn 1"
            },
            "state": {
                "title": "Chưa cập nhật",
                "color": "#f3f6f9"
            },
            "tag": null,
            "orders": [],
            "quotes": [
                {
                    "id": 97,
                    "code": "BG097",
                    "status": "Xác nhận nhu cầu",
                    "status_code": 0,
                    "currency": {
                        "foreign_currency": "VND",
                        "base_currency": "VND",
                        "exchange_rate": 1
                    },
                    "total_revenue": {
                        "foreign": 1500000,
                        "base": 1500000
                    },
                    "pax_summary": {
                        "total_adult": 1,
                        "total_children": 0,
                        "total_infant": 0,
                        "total_pax": 1
                    }
                }
            ],
            "created_at": "23/07/2025 08:13:26",
            "created_at_timestamp": 1753233206000
        }
    ],
    "links": {
        "first": "http://tour.upwell.test/api/v1/leads?page=1",
        "last": "http://tour.upwell.test/api/v1/leads?page=1",
        "prev": null,
        "next": null
    },
    "meta": {
        "current_page": 1,
        "from": 1,
        "last_page": 1,
        "links": [
            {
                "url": null,
                "label": "&laquo; Trước",
                "active": false
            },
            {
                "url": "http://tour.upwell.test/api/v1/leads?page=1",
                "label": "1",
                "active": true
            },
            {
                "url": null,
                "label": "Sau &raquo;",
                "active": false
            }
        ],
        "path": "http://tour.upwell.test/api/v1/leads",
        "per_page": 25,
        "to": 1,
        "total": 1
    }
}
Modified at 2026-06-11 01:58:42
Previous
Update History
Next
Get by id
Built with